Promote a deployment to a new model version or alias
curl --request POST \
--url https://api.example.com/api/models/{model}/deployments/{name}/promote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_version": "<string>",
"new_alias": "<string>"
}
'import requests
url = "https://api.example.com/api/models/{model}/deployments/{name}/promote"
payload = {
"new_version": "<string>",
"new_alias": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({new_version: '<string>', new_alias: '<string>'})
};
fetch('https://api.example.com/api/models/{model}/deployments/{name}/promote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "batch",
"status": "pending",
"domain": "<string>",
"owner": "<string>",
"model": {
"model_name": "<string>",
"model_version": "<string>",
"model_alias": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"resolved_model_version": "<string>",
"dag_id": "<string>",
"dag_s3_uri": "<string>",
"schedule": "<string>",
"last_run": {
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"airflow_run_id": "<string>",
"status": "queued",
"rows_scored": 123,
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
},
"service_url": "<string>",
"replica_count": 123,
"ready_replicas": 123,
"allowed_roles": [
"<string>"
],
"error_message": "<string>",
"stopped_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": "<string>",
"code": 500
}Deployment
Promote a deployment to a new model version or alias
POST
/
api
/
models
/
{model}
/
deployments
/
{name}
/
promote
Promote a deployment to a new model version or alias
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
FlowAuthorization Code
- Authorization URL
- https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
- Token URL
- https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
Body
application/json
Response
Successful Response
Available options:
batch, online Available options:
pending, deploying, active, failed, stopped, archived A registered MLflow model with either a version number or an alias.
Provide exactly one of model_version or model_alias. A version
number deploys a specific model release. An alias resolves to a
concrete version at deployment creation time.
Show child attributes
Show child attributes
The model version this deployment currently uses. When the deployment references an alias, this shows the resolved version number.
Show child attributes
Show child attributes
Was this page helpful?

